Loading...
Searching...
No Matches
drivers.h File Reference

Go to the source code of this file.

## Data Structures

struct | _starpu_driver_ops

## Data Structure Documentation

## _starpu_driver_ops

struct _starpu_driver_ops

Data Fields
int(*)(struct _starpu_worker *worker) | init | Initialize the thread for running the worker
int(*)(struct _starpu_worker *worker) | run | Actually run the worker
int(*)(struct _starpu_worker *worker) | run_once | Run just one loop of the worker
int(*)(struct _starpu_worker *worker) | deinit | Deinitialize the thread after running a worker
int(*)(struct starpu_driver *driver, struct _starpu_worker *worker) | set_devid | Sets into `driver` the id for worker `worker`
int(*)(struct starpu_driver *driver, struct _starpu_worker *worker) | is_devid | Tests whether `driver` has the id for worker `worker`